//
//  ant shader for showing only diffuse color of an object
//

#version 120

attribute vec2 in_TexCoords;

varying   vec2 TexCoords;

void main() {
    // TODO camera transformation
    TexCoords = vec2(in_TexCoords.x, in_TexCoords.y);
    gl_Position = vec4(2.0f * in_TexCoords.x - 1.0f,
                       1.0f - 2.0f * in_TexCoords.y,
                       0.0f,
                       1.0f);
}
